com.fasterxml.jackson.databind.jsontype.impl

## Class AsExistingPropertyTypeSerializer

- java.lang.Object
- - com.fasterxml.jackson.databind.jsontype.TypeSerializer
  - - com.fasterxml.jackson.databind.jsontype.impl.TypeSerializerBase
    - - com.fasterxml.jackson.databind.jsontype.impl.AsArrayTypeSerializer
      - - com.fasterxml.jackson.databind.jsontype.impl.AsPropertyTypeSerializer
        - - com.fasterxml.jackson.databind.jsontype.impl.AsExistingPropertyTypeSerializer

-     public class AsExistingPropertyTypeSerializer
      extends AsPropertyTypeSerializer

  Type serializer used with `JsonTypeInfo.As.EXISTING_PROPERTY` inclusion mechanism. Expects type information to be a well-defined property on all sub-classes.

- - ### Field Summary

    - ### Fields inherited from class com.fasterxml.jackson.databind.jsontype.impl.AsPropertyTypeSerializer

      `_typePropertyName`

    - ### Fields inherited from class com.fasterxml.jackson.databind.jsontype.impl.TypeSerializerBase

      `_idResolver, _property`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AsExistingPropertyTypeSerializer(TypeIdResolver idRes, BeanProperty property, String propName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AsExistingPropertyTypeSerializer` | `forProperty(BeanProperty prop)` Method called to create contextual version, to be used for values of given property.
    `JsonTypeInfo.As` | `getTypeInclusion()` Accessor for type information inclusion method that serializer uses; indicates how type information is embedded in resulting JSON.

    - ### Methods inherited from class com.fasterxml.jackson.databind.jsontype.impl.AsPropertyTypeSerializer

      `getPropertyName`

    - ### Methods inherited from class com.fasterxml.jackson.databind.jsontype.impl.TypeSerializerBase

      `_generateTypeId, getTypeIdResolver, handleMissingId, idFromValue, idFromValueAndType, writeTypePrefix, writeTypeSuffix`

    - ### Methods inherited from class com.fasterxml.jackson.databind.jsontype.TypeSerializer

      `_writeLegacySuffix, typeId, typeId, typeId, writeCustomTypePrefixForArray, writeCustomTypePrefixForObject, writeCustomTypePrefixForScalar, writeCustomTypeSuffixForArray, writeCustomTypeSuffixForObject, writeCustomTypeSuffixForScalar, writeTypePrefixForArray, writeTypePrefixForArray, writeTypePrefixForObject, writeTypePrefixForObject, writeTypePrefixForScalar, writeTypePrefixForScalar, writeTypeSuffixForArray, writeTypeSuffixForObject, writeTypeSuffixForScalar`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AsExistingPropertyTypeSerializer

          public AsExistingPropertyTypeSerializer(TypeIdResolver idRes,
                                                  BeanProperty property,
                                                  String propName)

  - ### Method Detail

    - #### forProperty

          public AsExistingPropertyTypeSerializer forProperty(BeanProperty prop)

      Description copied from class: `TypeSerializer`
      Method called to create contextual version, to be used for values of given property. This may be the type itself (as is the case for bean properties), or values contained (for `Collection` or `Map` valued properties).
      Overrides:
        `forProperty` in class `AsPropertyTypeSerializer`

    - #### getTypeInclusion

          public JsonTypeInfo.As getTypeInclusion()

      Description copied from class: `TypeSerializer`
      Accessor for type information inclusion method that serializer uses; indicates how type information is embedded in resulting JSON.
      Overrides:
        `getTypeInclusion` in class `AsPropertyTypeSerializer`

Copyright © 2008–2019 FasterXML. All rights reserved.